
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 区块链
 */

import { request } from '../index'

// 最新区块列表
const chain = () => {
	return request({
		url: 'chain'
	})
}

// 发行量概况
const situation = () => {
	return request({
		url: 'nodes'
	})
}

// 区块详情
const hash = (hash) => {
	return request({
		url: 'chain/block/' + hash
	})
}

// 区块链首页
const occ = () => {
	return request({
		url: 'occ/index'
	})
}

export {
	chain,
	situation,
	hash,
	occ
}
